libgimpprint API Reference: src/main/generic-options.h Source File

Main Page | Modules | Alphabetical List | Data Structures | File List | Data Fields | Globals | Related Pages

# src/main/generic-options.h

Go to the documentation of this file.

    00001 /*
    00002  * "$Id: generic-options_8h-source.html,v 1.1.1.2 2004/12/22 23:49:02 jlovell Exp $"
    00003  *
    00004  *   Copyright 2003 Robert Krawitz (rlk@alum.mit.edu)
    00005  *
    00006  *   This program is free software; you can redistribute it and/or modify it
    00007  *   under the terms of the GNU General Public License as published by the Free
    00008  *   Software Foundation; either version 2 of the License, or (at your option)
    00009  *   any later version.
    00010  *
    00011  *   This program is distributed in the hope that it will be useful, but
    00012  *   WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    00013  *   or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
    00014  *   for more details.
    00015  *
    00016  *   You should have received a copy of the GNU General Public License
    00017  *   along with this program; if not, write to the Free Software
    00018  *   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
    00019  */
    00020
    00021 #ifndef GIMP_PRINT_INTERNAL_GENERIC_OPTIONS_H
    00022 #define GIMP_PRINT_INTERNAL_GENERIC_OPTIONS_H
    00023
    00024 typedef struct
    00025 {
    00026   const char *name;
    00027   const char *text;
    00028   int quality_level;            /* Between 0 and 10 */
    00029 } stpi_quality_t;
    00030
    00031 typedef struct
    00032 {
    00033   const char *name;
    00034   const char *text;
    00035 } stpi_image_type_t;
    00036
    00037 typedef struct
    00038 {
    00039   const char *name;
    00040   const char *text;
    00041 } stpi_job_mode_t;
    00042
    00043 extern int stpi_get_qualities_count(void);
    00044
    00045 extern const stpi_quality_t *stpi_get_quality_by_index(int idx);
    00046
    00047 extern const stpi_quality_t *stpi_get_quality_by_name(const char *quality);
    00048
    00049 extern int stpi_get_image_types_count(void);
    00050
    00051 extern const stpi_image_type_t *stpi_get_image_type_by_index(int idx);
    00052
    00053 extern const stpi_image_type_t *stpi_get_image_type_by_name(const char *image_type);
    00054
    00055 extern int stpi_get_job_modes_count(void);
    00056
    00057 extern const stpi_job_mode_t *stpi_get_job_mode_by_index(int idx);
    00058
    00059 extern const stpi_job_mode_t *stpi_get_job_mode_by_name(const char *job_mode);
    00060
    00061 extern stp_parameter_list_t stp_list_generic_parameters(const stp_vars_t *v);
    00062
    00063 extern void stpi_describe_generic_parameter(const stp_vars_t *v,
    00064                                            const char *name,
    00065                                            stp_parameter_t *description);
    00066
    00067 #endif /* GIMP_PRINT_INTERNAL_GENERIC_OPTIONS_H */